//------------------------------------------------------------------------
//
// Copyright (C) 1997-2006 iNTERFACEWARE Inc.  All Rights Reserved
//
// Module:  C++ Example
// 
// Description
//
//
// Author: iNTERFACEWARE
// Date:   Wed 09/09/1998 
//---------------------------------------------------------------------------
#include <CHM/CHMpreCompHead.h>
#include "PrefixTestappEngine.h"
#pragma hdrstop

#include <iostream>
using namespace std;
#ifdef CHM_NO_PRECOMPILED_HEADERS
#   include <CHM/CHMutil.h>
#   include <CHM/CHMerrorClass.h>
#endif

void PrefixTestappEngine::ParseMessage
(
   const char* FlatWire, 
   size_t TransportIndex
)
{
   // At this point one might want to log the HL7 message to
   // the engine log or a file... i.e.
   cout << "Received message:" << endl;
   cout << CHMlineFeedConvert(FlatWire).c_str() << endl;
   
   try
   {
      PrefixTestEngine::ParseMessage(FlatWire, TransportIndex);
   }
   catch (CHMerror& Error)
   {
      cout << "Error: " << endl;
      cout << Error.Description() << endl;
      // TODO - log the message so that it can be analyzed later
   }
   catch (...)
   {
      cout << "Unknown exception." << endl;
      // TODO - log the message so that it can be analyzed later
   }
}
